Project

General

Profile

Bug #25202

Can't provision libvirt KVMs on a RH6 hypervisor from RH7 Foreman

Added by Sam B over 2 years ago. Updated over 2 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
Compute resources - libvirt
Target version:
-
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

As per here: https://community.theforeman.org/t/issue-creating-kvms-with-libvirtd/11429/4

It looks as though Foreman (or at least the underlying fog-libvirt) is expecting the hypervisor to always support virDomainDefineXML which obviously isn’t the case.

For reference this Foreman instance (19) is running on RHEL 7.4 and the hypervisor is an up-to-date RHEL 6.10.

I’ve tested Foreman 11 on a different RHEL7 instance which was able to successfully create VMs on RHEL6 hypervisors. So at some point between Foreman 11 and 19 the libvirt-fog Gem(?) changed to a version that broke compatibility, which now means that Foreman won’t work with CentOS / RHEL 6 hypervisors.

History

#1 Updated by Lukas Zapletal over 2 years ago

  • Triaged changed from No to Yes
  • Status changed from New to Closed

Hello, we have dropped support of EL6 about two years ago, this includes EL6 hypervisor. I am closing the issue, if you plan working on adding support back into Foreman feel free to reopen. Thanks for report.

#2 Updated by Tomer Brisker over 2 years ago

  • Status changed from Closed to Rejected

Also available in: Atom PDF